local GrolburMod = {}
_G.GrolburMod = GrolburMod

local watch = {}
watch["Armure renforcée"] = true
watch["Sceau sacré"] = true

local oldbuffs = {}

local function say(msg)
    DEFAULT_CHAT_FRAME:AddMessage(msg)
end

local function buffs(target)
    local counter = 0
    return function ()
        counter = counter + 1
        return UnitBuff(target, counter)
    end
end

function CastWithKnightBuffs(spell)
	for b,_ in pairs(watch) do
		if not oldbuffs[b] then
			CastSpellByName(b)
			return
		end
	end
	CastSpellByName(spell)
end

function GrolburMod.OnEvent(event, ...)
    	GrolburMod[event](unpack(arg))
end

function GrolburMod.UNIT_BUFF_CHANGED(target)
	if target == "player" then GrolburMod.player_buff() end
end

function GrolburMod.player_buff()
    local hasbuffs = {}
    for b in buffs("player") do
		if watch[b] then
			hasbuffs[b] = true
		end

    end
    for b,_ in pairs(watch) do
		if oldbuffs[b] and not hasbuffs[b] then
			SendWarningMsg(b .. " a expiré")
		end
	end
	oldbuffs = hasbuffs
end

function GrolburMod.Load()
    say("AddOn chargé: GrolburMod 0.1")
end


